Bug 20556 - [QT3TS] app-Demos test currencysvg
[QT3TS] app-Demos test currencysvg
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XQuery 3 & XPath 3 Test Suite
Last Call drafts
PC All
: P2 normal
: ---
Assigned To: Tim Mills
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-03 20:01 UTC by Michael Kay
Modified: 2013-01-11 17:55 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Kay 2013-01-03 20:01:55 UTC
This test expects results which are dependent on the precision of the results of decimal arithmetic, which is implementation-dependent. I have changed the test to use round-half-to-even() to remove this dependency. Please check that this change is OK.
Comment 1 Tim Mills 2013-01-04 09:28:35 UTC
It seems to have broken for me.  I'll investigate further.
Comment 2 O'Neil Delpratt 2013-01-04 09:44:00 UTC
I am ok with this change, but will hear from more implementers. 

We have had an issue with several tests when it comes to decimal precision across implementations, which we need to look at individually.
Comment 3 Michael Kay 2013-01-05 19:37:50 UTC
I have made a similar change to the test-case "itunes", rounding all decimal values to four decimal places to remove implementation dependencies.
Comment 4 Tim Mills 2013-01-11 15:52:29 UTC
currencysvg.xq required a few more calls to round-half-to-even.

itunes3.xq required a stable order by.

Please mark as CLOSED if you agree with the resolution.  Otherwise, REOPEN.
Comment 5 Michael Kay 2013-01-11 17:55:36 UTC
Thanks, these tests are now working with Saxon so I assume they are now interoperable.